hakyll-4.13.0.1: A static website compiler library

Safe Haskell | None
Language | Haskell2010

Hakyll.Core.File

Description

Exports simple compilers to just copy files

Synopsis

- newtype CopyFile = CopyFile FilePath
- copyFileCompiler :: Compiler (Item CopyFile)
- newtype TmpFile = TmpFile FilePath
- newTmpFile :: String -> Compiler TmpFile

# Documentation

newtype CopyFile Source #

This will copy any file directly by using a system call

Constructors

CopyFile FilePath |

Instances

Eq CopyFile Source # |
Instance details Defined in Hakyll.Core.File Methods (==) :: CopyFile -> CopyFile -> Bool Source # (/=) :: CopyFile -> CopyFile -> Bool Source #
Ord CopyFile Source # |
Instance details Defined in Hakyll.Core.File Methods compare :: CopyFile -> CopyFile -> Ordering Source # (<) :: CopyFile -> CopyFile -> Bool Source # (<=) :: CopyFile -> CopyFile -> Bool Source # (>) :: CopyFile -> CopyFile -> Bool Source # (>=) :: CopyFile -> CopyFile -> Bool Source # max :: CopyFile -> CopyFile -> CopyFile Source # min :: CopyFile -> CopyFile -> CopyFile Source #
Show CopyFile Source # |
Instance details Defined in Hakyll.Core.File Methods showsPrec :: Int -> CopyFile -> ShowS Source # show :: CopyFile -> String Source # showList :: [CopyFile] -> ShowS Source #
Binary CopyFile Source # |
Instance details Defined in Hakyll.Core.File Methods put :: CopyFile -> Put Source # get :: Get CopyFile Source # putList :: [CopyFile] -> Put Source #
Writable CopyFile Source # |
Instance details Defined in Hakyll.Core.File Methods write :: FilePath -> Item CopyFile -> IO () Source #

copyFileCompiler :: Compiler (Item CopyFile) Source #

newtype TmpFile Source #

Constructors

TmpFile FilePath |

Instances

Binary TmpFile Source # |
Instance details Defined in Hakyll.Core.File Methods put :: TmpFile -> Put Source # get :: Get TmpFile Source # putList :: [TmpFile] -> Put Source #
Writable TmpFile Source # |
Instance details Defined in Hakyll.Core.File Methods write :: FilePath -> Item TmpFile -> IO () Source #

newTmpFile Source #

Arguments

:: String | Suffix and extension
-> Compiler TmpFile | Resulting tmp path

Create a tmp file